﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Abt.Controls.SciChart;

namespace RolloverLabelTemplate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Loaded += RolloverFeedbackLoaded;
        }

        private void RolloverFeedbackLoaded(object sender, RoutedEventArgs e)
        {
            sciChartSurface.YAxis.GrowBy = new DoubleRange(0.2, 0.2);

            var dataset = new DataSeriesSet<double, double>();
            var seriesA = dataset.AddSeries();
            var seriesB = dataset.AddSeries();
            seriesA.SeriesName = "Sinewave A";
            seriesB.SeriesName = "Sinewave B";

            double count = 100.0;
            double k = 2 * Math.PI / 30.0;
            for (int i = 0; i < (int)count; i++)
            {
                var phi = k * i;
                seriesA.Append(i, (1.0 + i / count) * Math.Sin(phi));
                seriesB.Append(i, (0.5 + i / count) * Math.Sin(phi));
            }

            sciChartSurface.DataSet = dataset;
        }
    }
}
